Bug 1198847 - Docker Tags page shows all tags across all organizations
Summary: Docker Tags page shows all tags across all organizations
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: API
Version: 6.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Unspecified
Assignee: David Davis
QA Contact: Stephen Benjamin
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks: sat61-release-notes
TreeView+ depends on / blocked
 
Reported: 2015-03-04 22:48 UTC by David Davis
Modified: 2019-04-01 20:26 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-27 08:49:15 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:1500 normal SHIPPED_LIVE Red Hat Satellite 6.2 Base Libraries 2016-07-27 12:24:38 UTC
Foreman Issue Tracker 14056 None None None 2016-04-22 16:04:55 UTC

Description David Davis 2015-03-04 22:48:56 UTC
Create a docker repository that has tags and sync it. Then visit another organization and go to the Docker Tags page. You'll see tags for your other organization.

Comment 2 David O'Brien 2015-08-20 02:22:31 UTC
Is this a valid release note?

If so, please provide some suitable doc text. The issue seems plain enough but is there any workaround? Is a workaround required?

thanks

Comment 3 David Davis 2015-08-24 14:51:22 UTC
Yes, it is valid. Some doc text:

"The Docker tags page shows tags across all organizations and locations."

Is that good? There is no workaround at this time.

Comment 5 Partha Aji 2016-03-04 16:17:42 UTC
Created redmine issue http://projects.theforeman.org/issues/14056 from this bug

Comment 6 Bryan Kearney 2016-03-08 11:11:24 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/14056 has been closed
-------------
David Davis
Applied in changeset commit:katello|cb3ab3a5a8be19ad05f1d8d284b57750a7d85a29.

Comment 7 Stephen Benjamin 2016-03-24 19:12:58 UTC
Verified.

1. Synced busybox repository to Default Organization
2. Docker tags page shows the tags
3. Visited another org - no tags shown

Comment 9 David O'Brien 2016-04-18 00:48:03 UTC
Reset docs contact <> daobrien

Comment 11 errata-xmlrpc 2016-07-27 08:49:15 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:1500


Note You need to log in before you can comment on or make changes to this bug.